<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" name="general" nsURI="http://general/1.0" nsPrefix="general">
  <eClassifiers xsi:type="ecore:EClass" name="NamedElement" abstract="true">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="id" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="name" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="DescribableElement" abstract="true"
      eSuperTypes="#//NamedElement">
    <eStructuralFeatures xsi:type="ecore:EAttribute" name="description" eType="ecore:EDataType http://www.eclipse.org/emf/2002/Ecore#//EString"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="RequirementRelKind">
    <eLiterals name="AND"/>
    <eLiterals name="OR" value="1"/>
    <eLiterals name="XOR" value="2"/>
    <eLiterals name="Requires" value="3"/>
    <eLiterals name="ContributesTo" value="4"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="ChangeEffectKind">
    <eLiterals name="None"/>
    <eLiterals name="Revoke" value="1"/>
    <eLiterals name="Modify" value="2"/>
    <eLiterals name="Validate" value="3"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="ActivityRelKind">
    <eLiterals name="Decomposition"/>
    <eLiterals name="Precedence" value="1"/>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EEnum" name="ApplicabilityKind">
    <eLiterals name="AND"/>
    <eLiterals name="OR" value="1"/>
    <eLiterals name="XOR" value="2"/>
  </eClassifiers>
</ecore:EPackage>
